For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/inbox/threads/get-api-inbox-v1threads.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
List Threads
GET
/api/inbox/v1/threads/
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { threads, threadError } = await reloop.inbox.threads.list({ limit: 50 });6if (threadError) throw threadError;1[2 {3 "id": "con_123456789",4 "mailboxId": "example_mailboxId",5 "organizationId": "example_organizationId",6 "subject": "Welcome to Reloop",7 "lastMessagePreview": "example_lastMessagePreview",8 "lastMessageAt": "2026-03-23T10:00:00.000Z",9 "status": "example_status",10 "messageCount": 0,11 "participants": [12 "example_participants"13 ],14 "isRead": true,15 "isStarred": true,16 "createdAt": "2026-03-23T10:00:00.000Z",17 "updatedAt": "2026-03-23T10:00:00.000Z"18 }19]Query Parameters
mailboxIdstring
Filter threads by mailbox ID
limitstring | numberdefault: 50
- Maximum value:
100
offsetstring | numberdefault: 0
Was this page helpful?